@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+Mono:wght@100;200;300;400;500;600;700&display=swap');

* {
    box-sizing: border-box;
    margin: 0;
    color: var(--text-light);
}

:root {
    --background-dark: #0a0010;
    --background-dark-transparent: rgba(10, 0, 16, 0.767);
    --text-light: #e9e7e7;
    --font: 'Noto Sans Mono', monospace;
}

/* width */
::-webkit-scrollbar {
    width: 10px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    background: transparent;
  }
  
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: #110049;
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #17015f;
  }

body {
    background-color: var(--background-dark);
    font-family: var(--font);
    font-size: 18px;
}

a {
    text-decoration: none;
    color: inherit;
}

a:hover {
    font-style: italic;
}

a.help {
    position: absolute;
    bottom: 10px;
    border: 1px solid var(--text-light);
    padding: 1px 2px;
}

main {
    padding: 2vw 4vw 1vw;
}

section {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

section#editor {
    align-items: center;
    height: 90vh;
    flex-direction: row;
}

textarea {
    width: 60%;
    height: 100%;
    outline: none;
    border: 1px solid var(--text-light);
    background-color: var(--background-dark-transparent);
    border-radius: 0;
    resize: none;
    font-size: 20px;
    font-family: var(--font);
} 

textarea#text-mirror {
    transform: rotate(180deg);
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: fixed;
    top: 0;
    left: 0;
    z-index: -1;
    opacity: 0.5;
    font-size: 30px;
    animation-name: pulse;
    animation-duration: 1s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    transition: font-weight 0.01s;
}

@keyframes pulse {
    0% {
        font-weight: 200;
       /*  font-size: 15px; */
    }
    50% {
        font-weight: 300;
        /* font-size: 16px; */
    }
    100% {
        font-weight: 400;
        /* font-size: 18px; */
    }
 
}


@media (max-width: 768px ) {

    main {
        padding: 4vw;
    }
}

@media (max-width: 1024px ) {
    section#editor {
        flex-direction: column;
    }

    textarea#text-input {
        width: 100%;
    } 
}

@media (min-width: 1500px) {
    textarea {
        font-size: 24px;
    }

    textarea#text-mirror {
        font-size: 32px;
    }
}